org.apache.cassandra.thrift

## Class CustomTNonBlockingServer

- java.lang.Object
- - org.apache.thrift.server.TServer
  - - org.apache.thrift.server.AbstractNonblockingServer
    - - org.apache.thrift.server.TNonblockingServer
      - - org.apache.cassandra.thrift.CustomTNonBlockingServer

    public class CustomTNonBlockingServer
    extends org.apache.thrift.server.TNonblockingServer

### Nested Class Summary

Nested Classes
`class` `CustomTNonBlockingServer.CustomFrameBuffer`
`static class` `CustomTNonBlockingServer.Factory`

### Nested classes/interfaces inherited from class org.apache.thrift.server.TNonblockingServer

`org.apache.thrift.server.TNonblockingServer.Args, org.apache.thrift.server.TNonblockingServer.SelectAcceptThread`

### Nested classes/interfaces inherited from class org.apache.thrift.server.AbstractNonblockingServer

`org.apache.thrift.server.AbstractNonblockingServer.AbstractNonblockingServerArgs<T extends org.apache.thrift.server.AbstractNonblockingServer.AbstractNonblockingServerArgs<T>>, org.apache.thrift.server.AbstractNonblockingServer.AbstractSelectThread, org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer, org.apache.thrift.server.AbstractNonblockingServer.FrameBuffer`

### Nested classes/interfaces inherited from class org.apache.thrift.server.TServer

`org.apache.thrift.server.TServer.AbstractServerArgs<T extends org.apache.thrift.server.TServer.AbstractServerArgs<T>>`

### Field Summary

### Fields inherited from class org.apache.thrift.server.AbstractNonblockingServer

`LOGGER`

### Fields inherited from class org.apache.thrift.server.TServer

`eventHandler_, inputProtocolFactory_, inputTransportFactory_, outputProtocolFactory_, outputTransportFactory_, processorFactory_, serverTransport_`

### Constructor Summary

Constructors
Constructor and Description
`CustomTNonBlockingServer(org.apache.thrift.server.TNonblockingServer.Args args)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `requestInvoke(org.apache.thrift.server.AbstractNonblockingServer.FrameBuffer frameBuffer)`

### Methods inherited from class org.apache.thrift.server.TNonblockingServer

`isStopped, joinSelector, startThreads, stop, waitForShutdown`

### Methods inherited from class org.apache.thrift.server.AbstractNonblockingServer

`serve, startListening, stopListening`

### Methods inherited from class org.apache.thrift.server.TServer

`getEventHandler, isServing, setServerEventHandler, setServing`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CustomTNonBlockingServer

    public CustomTNonBlockingServer(org.apache.thrift.server.TNonblockingServer.Args args)

### Method Detail

#### requestInvoke

    protected boolean requestInvoke(org.apache.thrift.server.AbstractNonblockingServer.FrameBuffer frameBuffer)

Overrides:
  `requestInvoke` in class `org.apache.thrift.server.TNonblockingServer`